/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2005-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: result.hpp,v 1.13 2017/05/31 15:54:21 fclement Exp $ */

#include "typed_value.hpp"

#ifndef _RESULT_H
#define _RESULT_H

namespace io{
  

  class Result{
    vector<Typed_value>  _values;
  public:
    Result();
    Result(vector<Typed_value> &);
    Result(const Typed_value &);
    virtual ~Result();
    void add(const Typed_value &);
    vector<Typed_value>& values();
  };
  

}


#endif
