(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: sklml_mode.mli,v 1.4 2017/01/04 11:58:30 fclement Exp $ *)

open Tools_common_types;;

val string_of_semantics_mode : semantics_mode -> string;;
val semantics_mode_of_string : string -> semantics_mode;;

val other_compilation_mode : compilation_mode -> compilation_mode;;
val doc_string_of_compilation_mode : compilation_mode -> string;;
