(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: wrapper.mli,v 1.7 2017/01/04 11:58:31 fclement Exp $ *)

val make_init_wrapper :
  Pio.pf -> Upervasives.function_name -> (unit, int list) Pio.task_wrapper
;;

val make_light_comp_wrapper :
  Pio.pf -> Upervasives.function_name -> (int, int) Pio.task_wrapper
;;

val make_heavy_comp_wrapper :
  Pio.pf -> Upervasives.function_name -> (int, int) Pio.task_wrapper
;;

val make_final_wrapper :
  Pio.pf -> Upervasives.function_name -> (unit, unit) Pio.task_wrapper
;;
